Bug 203978 - Control, shift, and lock keys sometimes break
Control, shift, and lock keys sometimes break
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 15:25 EDT by Andrew McCallum
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew McCallum 2006-08-24 15:25:30 EDT
Description of problem:
Sometimes during normal keyboard use, the control, shift, and all the lock keys
stop working as expected.  I've used xev to verify that keypress/release events
are being generated when I press these keys, but they do not have the desired
function.  For example, pressing caps lock does not toggle between upper and
lower case characters in a terminal window, and Control-X Control-S in Xemacs
just displays the characters "xs" in the editor window.  The LEDs on the
keyboard do not light when locking keys are pressed.  My main keyboard is
Logitech Cordless Desktop Pro, but I have plugged in a generic PS/2 keyboard and
seen the same symptoms.
The problems dissapear after I log out of the desktop and then log back in.

Version-Release number of selected component (if applicable):


How reproducible:
Not easily reproducible.  Bug occurs perhaps once every other day of work. No
known steps to reliably reproduce.

Actual results:
Control, shift, num lock, and caps lock keys stop working normally

Expected results:
Control, shift, num lock, and caps lock keys should work normally

Additional info:
It's worth noting that I frequently use vmware to do some software development
inside a windows environment.  When this bug occurs, and my shift/control/etc
keys are not working correctly in linux, they still work correctly in the vmware
guest OS.
Comment 1 Matěj Cepl 2007-07-03 09:49:36 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 2 Matěj Cepl 2007-08-03 09:20:05 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.